### Method

# Ide Grid get_current_stack

#### Declaration

    IdeFrame*
    ide_grid_get_current_stack (
      IdeGrid* self
    )

#### Description

Gets the most recently focused stack. This is useful when you want to open a document on the stack the user last focused.

Available since: | 3.32

Gets property | `Ide.Grid:current-stack`

#### Return value

Returns: | `IdeFrame`
| An `IdeFrame` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.